<ion-header id="homeHeader">
  <ion-navbar>
    <ion-buttons left>
      <button ion-button menuToggle>
          <ion-icon name="menu"></ion-icon>
      </button>
    </ion-buttons>
    <form>
        <label for="search" id="searchLabel">Search</label>
        <ion-input placeholder="Search nrvparks.com" name="search" id="search" (keyup.enter)="Search()" [(ngModel)]="SearchStr" aria-label="Search"></ion-input>    
    </form>    
    <ion-buttons right>
        <button ion-button (click)="ClearSearch()" [hidden]="!SearchStr" end>
          <ion-icon name="close"></ion-icon>
        </button>
        <button ion-button (click)="Search()" end>
          <ion-icon name="search"></ion-icon>
        </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content fullscreen style="padding-top: -44px;">
  <!-- hidden buttons utilized by dynamically generated leaflet markers -->
  <button *ngFor="let park of Data.Parks" ng-show="false" menuToggle="right" id="toggleRightMenu{{park.Id}}" (click)="SetActivePark(park)">{{park.Name}}</button>
  <div id="mapid"></div>
</ion-content>
